
//MIDI Setup
// number of the device to open (see: chuck --probe)
2 => int device;
// get command line
if( me.args() ) me.arg(0) => Std.atoi => device;
// the midi event
MidiIn min;
// the message for retrieving data
MidiMsg msg;
// open the device
if( !min.open( device ) ) me.exit();

// print out device that was opened
<<< "MIDI device:", min.num(), " -> ", min.name() >>>;

while( true )
{   
	while(min.recv(msg))
	{
		//print midi msgs for channel assignment/data monitoring purposes.  comment out during use.
		<<<"control:  " + msg.data1 + ", #:  " + msg.data2 + ", data: "  + msg.data3>>>;
	}
	10::ms => now;
}